{% extends "blog/layout.html.twig"%}{# on est pas en relatif, on part d'app views. A partir du moment ou on extends un fichier on ne peut plus écrire d'html en dehors de block#}

{% block body_layout %}
    {% for message in app.session.flashbag.get('success') %}
        <p class="alert alert-success">{{ message }}</p>
    {% endfor %}
    <h1>Catalogue - catégories</h1>


    {% for key,categorie in categories %}<!-- boucle FOR au format twig exemple sans passer les clés du tableau : for article in articles -->

        <article>
            <h1><a href="{{path('categorie',{id: categorie.id})}}">{{key}} - {{categorie.titre}} #{{categorie.id}}</a></h1>

            <p>
                {{categorie.contenu|title|raw}}{# le filtre |title met les 1ere lettre de chaque mot en majuscule ; avec le filtre twig |Raw (à afficher en dernier) le texte s'affiche brut sans utiliser htmlspecialchar par défaut#}
            </p>
            <footer>

            </footer>
        </article>
    {% else %}
        <p>AUCUN ARTICLE</p>
    {% endfor %}

{% endblock %}